@echo off

:Retry
	set /p gram_sachiwalaya_id=Enter Gram Sachiwalaya Id=
	curl -k -o response.txt -X GET https://panchayatgateway.in/gram_sachiwalaya_gateway/temp/checkGramSachiwalayaId/%gram_sachiwalaya_id%
	set /p response=<response.txt
	del response.txt
	echo %response%
    if NOT "%response%" == "OK" (
        goto :Retry
    )

echo Getting System Information.

echo ##START GramSachiwalayaId## > tempfile.txt
echo GramSachiwalayaId : %gram_sachiwalaya_id% >> tempfile.txt
echo ##END GramSachiwalayaId## >> tempfile.txt


echo ##START MACADDRESS## >> tempfile.txt
powershell -Command "Get-WmiObject Win32_NetworkAdapterConfiguration | Where {$_.IPEnabled -eq 'True' -AND $_.DHCPEnabled -eq 'True'} | Select Description,MACAddress,IPAddress  | Format-list *" >> tempfile.txt
echo ##END MACADDRESS## >> tempfile.txt



echo ##START ComputerSystemProduct## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_ComputerSystemProduct | Format-List *" >> tempfile.txt
echo ##END ComputerSystemProduct## >> tempfile.txt

echo ##START BIOS## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_BIOS | Format-List *" >> tempfile.txt
echo ##END BIOS## >> tempfile.txt

echo ##START ComputerSystem## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_ComputerSystem | Format-List *" >> tempfile.txt
echo ##END ComputerSystem## >> tempfile.txt

echo ##START OperatingSystem## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_OperatingSystem | Format-List *" >> tempfile.txt
echo ##END OperatingSystem## >> tempfile.txt



echo ##START DigitalSignerService## >> tempfile.txt
powershell -Command "ps | Select Handles,NPM,PM,WS,CPU,Id,SI,ProcessName,starttime,@{Name = 'Timestamp'; Expression = ({(Get-Date)})} | Where {$_.ProcessName -Like 'DigitalSignerService*'}" >> tempfile.txt
echo ##END DigitalSignerService## >> tempfile.txt


echo ##START PUBLIC IP## >> tempfile.txt
nslookup myip.opendns.com resolver1.opendns.com >> tempfile.txt
echo ##END PUBLIC IP## >> tempfile.txt


echo ##START IPCONFIG## >> tempfile.txt
ipconfig/all >> tempfile.txt
echo ##END IPCONFIG## >> tempfile.txt

echo ##START Processor## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_Processor | Format-List *" >> tempfile.txt
echo ##END Processor## >> tempfile.txt

echo ##START BaseBoard## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_BaseBoard | Format-List *" >> tempfile.txt
echo ##END BaseBoard## >> tempfile.txt

echo ##START NetworkAdapterConfiguration## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_NetworkAdapterConfiguration | Format-List *" >> tempfile.txt
echo ##END NetworkAdapterConfiguration## >> tempfile.txt

echo ##START LogicalDisk## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_LogicalDisk | Format-List *" >> tempfile.txt
echo ##END LogicalDisk## >> tempfile.txt

echo ##START PhysicalMemory## >> tempfile.txt
powershell -Command "Get-WmiObject -Class Win32_PhysicalMemory | Format-List *" >> tempfile.txt
echo ##END PhysicalMemory## >> tempfile.txt


:RetryDsc
	echo Checking DSC.     
	powershell -Command "Get-ChildItem Cert:\CurrentUser\My | Where { ($_.Subject -like '*O=Personal*' -or $_.Subject -like '*O=MAHATMA GANDHI NATIONAL RURAL EMPLOYMENT GUARANTEE ACT*' -or $_.Subject -like '*O=RURAL DEVELOPMENT*' -or $_.Subject -like '*O=PANCHAYAT RAJ DEPARTMENT*' -or $_.Subject -like '*O=PANCHAYATI RAJ UP*' -or $_.Subject -like '*O=BLOCK DEVELOPMENT OFFICE*' -or $_.Subject -like '*O=GRAM VIKAS VIBHAG*' -or $_.Subject -like '*O=ZILA PANCHAYAT BIDAR*' -or $_.Subject -like '*O=UTTAR PRADESH PANCHAYAT AURAIYA*' -or $_.Subject -like '*O=PANCHAYTI RAJ VIBHAG*' -or $_.Subject -like '*O=ZILA VIKAS ADHIKARI*') } | Select PSPath,PSDrive,NotAfter,NotBefore,HasPrivateKey,SerialNumber,Thumbprint,Version,Handle,Issuer,Subject  | Format-list -Property *" > dsctempfile.txt
	for /f %%i in ("dsctempfile.txt") do set size=%%~zi
	if %size% lss 1 (
		set /p dsc_insert=DSC Not Found. Please Insert DSC and hit enter!
		goto :RetryDsc
	)
	echo ##START DSC## >> tempfile.txt
	type dsctempfile.txt >> tempfile.txt
	echo ##END DSC## >> tempfile.txt
	del dsctempfile.txt




curl -k -o response.txt -X POST -H "Content-Type: multipart/form-data" -F "fileToUpload=@tempfile.txt" -F "gram_sachiwalaya_id=%gram_sachiwalaya_id%" https://panchayatgateway.in/gram_sachiwalaya_gateway/temp
set /p response=<response.txt
del response.txt



echo Checking Browser.
%SystemRoot%\System32\reg.exe query "HKLM\Software\Microsoft\Windows\CurrentVersion\App Paths\chrome.exe" >nul 2>&1
if not errorlevel 1 ( start "chrome.exe" %response% ) else ( start "" %response% )

rem set /p input=Enter Any Key For Exit. 



